package com.sifang.modules.customer.entity;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "crm_customer_entry_weekly_record")
public class CrmCustomerEntryWeeklyRecord {

    private String id;
    private String provinceRelId;//关联省区负责人表id
    private Date creatTimeSta;//统计开始时间
    private Date creatTimeEnd;//统计结束时间
    private BigDecimal signedCntWeek; // 上周完成数量
    private BigDecimal cumSignedCnt; // 累计数量
    private BigDecimal shippedCntWeek; // 发货量 上周已发
    private BigDecimal shippedCntWeekTarget; // 发货量 本周目标
    private BigDecimal shippedCntWeekPropRate; // 发货量 推进率
    private BigDecimal shippedCntMonth; // 发货量 本月发货量
    private BigDecimal shippedCntYear; // 发货量 年度发货
    private BigDecimal appCntWeek; // 进件用户数量 上周进件量
    private BigDecimal appCntMonth; // 进件用户数量 本月进件量
    private BigDecimal appCntYear; // 进件用户数量 年度进件量
    private BigDecimal submittedWeek; // 安装量-提交验工验收 上周安装量
    private BigDecimal submittedMonthTarget; // 安装量-提交验工验收 本月目标
    private BigDecimal submittedMonth; // 安装量-提交验工验收 本月安装量
    private BigDecimal submittedMonthPropRate; // 安装量-提交验工验收 推进率
    private BigDecimal submittedYear; // 安装量-提交验工验收 年度安装量
    private BigDecimal finalApprovedWeek; // 安装量-终审通过 上周安装量
    private BigDecimal finalApprovedMonth; // 安装量-终审通过 本月安装量
    private BigDecimal finalApprovedYear; // 安装量-终审通过 年度安装量
    private BigDecimal gridConnectedWeek; // 并网量 上周并网量
    private BigDecimal gridConnectedMonth; // 并网量 本月并网量
    private BigDecimal gridConnectedYear; // 并网量 年度并网量

    @Id
    @GeneratedValue(generator = "idGenerator")
    @GenericGenerator(name = "idGenerator", strategy = "uuid")
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getProvinceRelId() {
        return provinceRelId;
    }

    public void setProvinceRelId(String provinceRelId) {
        this.provinceRelId = provinceRelId;
    }

    public Date getCreatTimeSta() {
        return creatTimeSta;
    }

    public void setCreatTimeSta(Date creatTimeSta) {
        this.creatTimeSta = creatTimeSta;
    }

    public Date getCreatTimeEnd() {
        return creatTimeEnd;
    }

    public void setCreatTimeEnd(Date creatTimeEnd) {
        this.creatTimeEnd = creatTimeEnd;
    }

    public BigDecimal getSignedCntWeek() {
        return signedCntWeek;
    }

    public void setSignedCntWeek(BigDecimal signedCntWeek) {
        this.signedCntWeek = signedCntWeek;
    }

    public BigDecimal getCumSignedCnt() {
        return cumSignedCnt;
    }

    public void setCumSignedCnt(BigDecimal cumSignedCnt) {
        this.cumSignedCnt = cumSignedCnt;
    }

    public BigDecimal getShippedCntWeek() {
        return shippedCntWeek;
    }

    public void setShippedCntWeek(BigDecimal shippedCntWeek) {
        this.shippedCntWeek = shippedCntWeek;
    }

    public BigDecimal getShippedCntWeekTarget() {
        return shippedCntWeekTarget;
    }

    public void setShippedCntWeekTarget(BigDecimal shippedCntWeekTarget) {
        this.shippedCntWeekTarget = shippedCntWeekTarget;
    }

    public BigDecimal getShippedCntWeekPropRate() {
        return shippedCntWeekPropRate;
    }

    public void setShippedCntWeekPropRate(BigDecimal shippedCntWeekPropRate) {
        this.shippedCntWeekPropRate = shippedCntWeekPropRate;
    }

    public BigDecimal getShippedCntMonth() {
        return shippedCntMonth;
    }

    public void setShippedCntMonth(BigDecimal shippedCntMonth) {
        this.shippedCntMonth = shippedCntMonth;
    }

    public BigDecimal getShippedCntYear() {
        return shippedCntYear;
    }

    public void setShippedCntYear(BigDecimal shippedCntYear) {
        this.shippedCntYear = shippedCntYear;
    }

    public BigDecimal getAppCntWeek() {
        return appCntWeek;
    }

    public void setAppCntWeek(BigDecimal appCntWeek) {
        this.appCntWeek = appCntWeek;
    }

    public BigDecimal getAppCntMonth() {
        return appCntMonth;
    }

    public void setAppCntMonth(BigDecimal appCntMonth) {
        this.appCntMonth = appCntMonth;
    }

    public BigDecimal getAppCntYear() {
        return appCntYear;
    }

    public void setAppCntYear(BigDecimal appCntYear) {
        this.appCntYear = appCntYear;
    }

    public BigDecimal getSubmittedWeek() {
        return submittedWeek;
    }

    public void setSubmittedWeek(BigDecimal submittedWeek) {
        this.submittedWeek = submittedWeek;
    }

    public BigDecimal getSubmittedMonthTarget() {
        return submittedMonthTarget;
    }

    public void setSubmittedMonthTarget(BigDecimal submittedMonthTarget) {
        this.submittedMonthTarget = submittedMonthTarget;
    }

    public BigDecimal getSubmittedMonth() {
        return submittedMonth;
    }

    public void setSubmittedMonth(BigDecimal submittedMonth) {
        this.submittedMonth = submittedMonth;
    }

    public BigDecimal getSubmittedMonthPropRate() {
        return submittedMonthPropRate;
    }

    public void setSubmittedMonthPropRate(BigDecimal submittedMonthPropRate) {
        this.submittedMonthPropRate = submittedMonthPropRate;
    }

    public BigDecimal getSubmittedYear() {
        return submittedYear;
    }

    public void setSubmittedYear(BigDecimal submittedYear) {
        this.submittedYear = submittedYear;
    }

    public BigDecimal getFinalApprovedWeek() {
        return finalApprovedWeek;
    }

    public void setFinalApprovedWeek(BigDecimal finalApprovedWeek) {
        this.finalApprovedWeek = finalApprovedWeek;
    }

    public BigDecimal getFinalApprovedMonth() {
        return finalApprovedMonth;
    }

    public void setFinalApprovedMonth(BigDecimal finalApprovedMonth) {
        this.finalApprovedMonth = finalApprovedMonth;
    }

    public BigDecimal getFinalApprovedYear() {
        return finalApprovedYear;
    }

    public void setFinalApprovedYear(BigDecimal finalApprovedYear) {
        this.finalApprovedYear = finalApprovedYear;
    }

    public BigDecimal getGridConnectedWeek() {
        return gridConnectedWeek;
    }

    public void setGridConnectedWeek(BigDecimal gridConnectedWeek) {
        this.gridConnectedWeek = gridConnectedWeek;
    }

    public BigDecimal getGridConnectedMonth() {
        return gridConnectedMonth;
    }

    public void setGridConnectedMonth(BigDecimal gridConnectedMonth) {
        this.gridConnectedMonth = gridConnectedMonth;
    }

    public BigDecimal getGridConnectedYear() {
        return gridConnectedYear;
    }

    public void setGridConnectedYear(BigDecimal gridConnectedYear) {
        this.gridConnectedYear = gridConnectedYear;
    }
}
